# Uses of Interface
org.eclipse.birt.report.model.api.metadata.IPropertyType

Packages that use IPropertyType
Package
Description
org.eclipse.birt.report.model.api.core
Represents the fundamental data structures of the user-defined property and the interface of UI listener.
org.eclipse.birt.report.model.api.metadata
Defines the elements, properties, types, structures and slots in the Report Object Model.

## Uses of IPropertyType in org.eclipse.birt.report.model.api.core

Methods in org.eclipse.birt.report.model.api.core that return types with arguments of type IPropertyType
Modifier and Type
Method
Description
`static List<IPropertyType>`
UserPropertyDefn.`getAllowedTypes()`
Gets valid types for user property.

## Uses of IPropertyType in org.eclipse.birt.report.model.api.metadata

Methods in org.eclipse.birt.report.model.api.metadata that return types with arguments of type IPropertyType
Modifier and Type
Method
Description
`List<IPropertyType>`
IMetaDataDictionary.`getPropertyTypes()`
Gets a list of rom-defined property types.